Subject: Ticket Assigned - Article Feedback - I have other questions about returns, refunds and cancellations. Who can I call?
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 02 Aug 2022 16:44:01 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I have other questions about returns, refunds and cancellations. Who can I call? Feedback for:  I have other questions about returns, refunds and cancellations. Who can I call? Good evening sir/Madam today I receive my order but T-SHIRT not good Quality kindly take back My order number 9580559856 thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4683076